List merchant orders
curl --request GET \
--url https://sandbox-revo-api.raliopay.com/api/v1/account/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-revo-api.raliopay.com/api/v1/account/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-revo-api.raliopay.com/api/v1/account/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orders": [
{
"canceledAt": "2025-01-15T10:35:00Z",
"counterparty": "John Doe",
"createdAt": "2025-01-15T10:30:00Z",
"destination": {
"currency": "CURRENCY",
"amount": 1000
},
"detailUrl": "/api/v1/account/orders/e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
"displayType": "Transaction Type",
"failedAt": "2025-01-15T10:35:00Z",
"fee": {
"currency": "CURRENCY",
"amount": 1000
},
"fx": {
"pair": "CURRENCY/CURRENCY",
"rate": 1.08,
"timestamp": "2025-01-15T10:30:00Z"
},
"id": "e5f6a7b8-c9d0-4e1f-2a3b-4c5d6e7f8a9b",
"origin": {
"currency": "CURRENCY",
"amount": 1000
},
"reference": "PAY-2025-001234",
"reversedAt": "2025-01-15T10:35:00Z",
"settledAt": "2025-01-15T10:35:00Z",
"state": "PENDING",
"type": "TRANSACTION_TYPE",
"updatedAt": "2025-01-15T10:30:05Z"
}
],
"pagination": {
"next": "<string>",
"numPages": 123,
"page": 123,
"pageSize": 123,
"previous": "<string>",
"total": 123
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}{
"error": {
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>"
}
}Orders
List merchant orders
Get a list of all orders for the authenticated merchant
GET
/
api
/
v1
/
account
/
orders
List merchant orders
Authorizations
API Key for accessing management endpoints
Query Parameters
Page number (default: 1)
Page size (default: 30, max: 100)
Sort fields (prefix with - for desc): createdAt. Example: sort=createdAt
Multiple filters can be applied with field_operator=value format. Fields: state,type,id,originCurrency,destinationCurrency,createdAt,amount. Operators: eq (equals), neq (not equals), gt (greater than), lt (less than), gte (greater or equal), lte (less or equal), like (contains), in (in list), nin (not in list). Examples: state_in=FAILED,SETTLED&createdAt_gte=2024-01-01&createdAt_lte=2024-12-31&amount_gte=1000&amount_lte=50000
Search by id (UUID) or reference (text). Example: search=PAY-2025
⌘I